$groupmembers = Get-ADGroupMember -identity "aecuk_sg_integrity"  -recursive | select samaccountname 


foreach($member in $groupmembers) {

$find = get-item "\\bhx1sv-dm1\wf1a_cif0\user_data\userstore\Redirect\$member\AppData\Roaming\SoftGrid Client\INTEGRTY.106-AE22DB3A-8830-4E67\UsrVol_sftfs_v1.pkg" 


write-host "$member - $($find.length)" }